> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put coaapitransaction matches



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json put /coa/api/transaction-matches/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/transaction-matches/{id}:
    put:
      tags:
        - coa
      operationId: coa_api_transaction_matches_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionMatch'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/TransactionMatch'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/TransactionMatch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionMatch'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    TransactionMatch:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        matched_object:
          type: string
          readOnly: true
        app_label:
          type: string
          readOnly: true
        model:
          type: string
          readOnly: true
        drafts:
          type: string
          readOnly: true
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
        created_at:
          type: string
          format: date-time
          readOnly: true
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/TransactionMatchStatusEnum'
        confidence_score:
          type: number
          format: double
          maximum: 1
          minimum: 0
          nullable: true
        snapshot:
          nullable: true
          description: >-
            Snapshot of transaction data preserved for training data when the
            transaction is deleted.
        customer:
          type: integer
        transaction:
          type: integer
          nullable: true
        content_type:
          type: integer
        reviewed_by:
          type: integer
          nullable: true
      required:
        - app_label
        - content_type
        - created_at
        - customer
        - drafts
        - id
        - matched_object
        - model
        - object_id
        - transaction
    TransactionMatchStatusEnum:
      enum:
        - pending
        - draft
        - accepted
        - rejected
      type: string
      description: |-
        * `pending` - Pending
        * `draft` - Draft
        * `accepted` - Accepted
        * `rejected` - Rejected
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````